version: "3.8"
services:
  app:
    build:
      args:
        user: hwayoung
        uid: 1000
      context: ./laravel
      dockerfile: Dockerfile
    image: ${APP_NAME}
    container_name: ${APP_NAME}-app
    restart: unless-stopped
    working_dir: /var/www/
    volumes:
      - ./laravel:/var/www
      - ./.env:/var/www/.env
    networks:
      - laravel-skeleton
    depends_on:
      - db
  db:
    image: mysql:latest
    container_name: ${APP_NAME}-db
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: ${DB_DATABASE}
      MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
      MYSQL_PASSWORD: ${DB_PASSWORD}
      MYSQL_USER: ${DB_USERNAME}
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - ./db:/var/lib/mysql
      - ./docker-compose/mysql:/docker-entrypoint-initdb.d
    networks:
      - laravel-skeleton

  nginx:
    image: nginx:latest
    container_name: ${APP_NAME}-nginx
    restart: unless-stopped
    ports:
      - 8000:80
    volumes:
      - ./laravel:/var/www
      - ./.env:/var/www/.env
      - ./docker-compose/nginx:/etc/nginx/conf.d
    networks:
      - laravel-skeleton
    depends_on:
      - app

networks:
  laravel-skeleton:
    driver: bridge